=== archlinux/PKGBUILD ===
pkgname=wsdd2
pkgver=1.8.1
pkgrel=2
url="https://github.com/Andy2244/wsdd2"
pkgdesc="WSD/LLMNR Discovery/Name Service Daemon"
arch=('x86_64' 'armv7h')
license=('GPL3')

build() {
    cd ../..
    make
}

package() {
    cd ../..
    make SBINDIR=bin \
         LIBDIR=usr/lib \
         DESTDIR="$pkgdir" install

    # Patch systemd file since samba service is called smb on archlinux
    patch -i $pkgdir/../../wsdd2.service.patch "$pkgdir/usr/lib/systemd/system/wsdd2.service"
}
